
/////////////проверка одновременной работы 3 экранов на 3 разных индикаторах-шкалах
#include <OLED_I2C.h>
OLED  myOLED(SDA, SCL);
#define disp_1 12 // управляющие дисплееями выводы 
#define disp_2 11
#define disp_3 10
extern const unsigned char schkala_A[];
extern const unsigned char schkala_B[];
int t = 25; // пауза между считываниями потенциометра
int dlina_1 = 30;
int tabl_[10];//массив хранения данных с потенциометра
int kap=55;//

extern uint8_t MediumNumbers[];
void setup()
{
  ////// подключение всех дисплеев
  pinMode(disp_1, OUTPUT);
  digitalWrite(disp_1, HIGH);
  myOLED.begin();
  digitalWrite(disp_1, LOW);
  delay(50);
  //////
  pinMode(disp_2, OUTPUT);
  digitalWrite(disp_2, HIGH);
  myOLED.begin();
  digitalWrite(disp_2, LOW);
  delay(50);
  ////////
  pinMode(disp_3, OUTPUT);
  digitalWrite(disp_3, HIGH);
  myOLED.begin();
  digitalWrite(disp_3, LOW);
  delay(50);
  ////////

  myOLED.invert(0);//инверсия цвета
  myOLED.setFont( MediumNumbers);

}

void loop()
{
  pribor_1(); dis_1(); //обработка и обновление данных на 1 индикаторе
  pribor_2(); dis_2(); //обработка и обновление данных на 2 индикаторе
  pribor_3(); dis_3(); //обработка и обновление данных на 3 индикаторе
  delay(t);
}
////////////////////////////
void dis_1() { //функции обновления изображений на экранах
  digitalWrite(disp_1, HIGH); myOLED.update(); digitalWrite(disp_1, LOW);
}
void dis_2() {
  digitalWrite(disp_2, HIGH); myOLED.update(); digitalWrite(disp_2, LOW);
}
void dis_3() {
  digitalWrite(disp_3, HIGH); myOLED.update(); digitalWrite(disp_3, LOW);
}
/////////////////////////
void pribor_1() { //индикатор "текущий кран"
 myOLED.clrScr(); // очищаем дисплей 
 myOLED.drawBitmap(0, 0, schkala_A, 64, 64); // рисование картинки
 int p = map(analogRead(A0), 0, 1023, 0, 200); // считывание потенциометра и задаём скорость капели
 
  myOLED.drawBitmap(kap, 45, schkala_B, 16, 16);
  myOLED.drawBitmap(kap+20, 45, schkala_B, 16, 16);
 
   myOLED.drawLine(map(p,0,200,60,130),32,map(p,0,200,60,130),72 );//стакан
   myOLED.drawLine(130,42,map(p,0,200,60,130),32 );
   myOLED.drawLine(130,72,map(p,0,200,60,130),72 );
   
  kap=kap+20;if(kap>150){kap=55;}
  delay(p);
 
  

}
/////////////////////////////////
void pribor_2() { // индикатор построения графика онлайн

  int h = map(analogRead(A0), 0, 1023, 0, 63); //считывание данных с потенциометра и запись в массив данных на последнюю позицию

  for (int i = 0; i < 10; i++) {
    if (i != 9) {
      tabl_[i] = tabl_[i + 1];
    } else {
      tabl_[i] = h;
    }
  }
  myOLED.clrScr(); // очищаем дисплей

  for (int i = 0; i < 10; i++) {//прорисовка кадра
    myOLED.drawLine(i * 13 + 5, 63, i * 13 + 5, tabl_[i]); //каскад отрезков вертикальных высотой h
    if (i < 9) {
      myOLED.drawLine((i + 1) * 13 + 5, tabl_[i + 1] , i * 13 + 5, tabl_[i]); // цепочка отрезков между соседними вершинами - линия графика
    }
  }


}

///////////////////////////////////////
void pribor_3() { //стрелочный индикатор уровня сигнала

  myOLED.clrScr(); // очищаем дисплей
  int x = map(analogRead(A0), 0, 1023, 5, 124); //считывание данных с потенциометра и задание координаты стрелки

  myOLED.drawRect(0, 0, 127, 63); //рамка
  myOLED.drawLine(x, 5, x, 58); // стрелка и её положение
  myOLED.drawRect(5, 22, 90, 42); //шкала прогресса
  myOLED.drawRect(95, 22, 124, 42);
  /////
  for (int j = 0; j < 20; j = j + 3) { // раскраска прямоугольника точками
    for (int i = 0; i < 30; i = i + 2) {
      myOLED.setPixel(95 + i, 22 + j);
    }
  }
  ///

}
