
/////////////проверка одновременной работы 3 экранов на 3 разных индикаторах-шкалах
#include <OLED_I2C.h>
OLED  myOLED(SDA, SCL);
#define disp_1 12 // управляющие дисплееями выводы 
#define disp_2 11
#define disp_3 10

int t = 25; // пауза между считываниями потенциометра
extern uint8_t SmallFont[];
float a = 0.00; //

void setup()
{
  delay(50);
  ////// подключение всех дисплеев
  pinMode(disp_1, OUTPUT);
  digitalWrite(disp_1, HIGH);
  myOLED.begin();
  digitalWrite(disp_1, LOW);
  delay(50);
  //////
  pinMode(disp_2, OUTPUT);
  digitalWrite(disp_2, HIGH);
  myOLED.begin();
  digitalWrite(disp_2, LOW);
  delay(50);
  ////////
  pinMode(disp_3, OUTPUT);
  digitalWrite(disp_3, HIGH);
  myOLED.begin();
  digitalWrite(disp_3, LOW);
  delay(50);
  ////////
  myOLED.setFont(SmallFont);
  myOLED.invert(0);//инверсия цвета


}

void loop()
{
  a = 3 * PI / 16 + 3 * PI / 4 * (analogRead(A0)) / 1023; //угол поворота стрелки прибора в зависимости от полученных с потенциометра данных
  ////////////////////
  myOLED.clrScr(); // очищаем дисплей
  for (float i = 0; i < PI; i = i + PI / 17) {
    myOLED.drawLine(135 - 127 * cos(i), 127 - 127 * sin(i), 135 - 115 * cos(i), 127 - 115 * sin(i)  ); // риски-метки шкалы
  }
  myOLED.print("MIN", 0, 45);
  if (a < PI / 2) {
    myOLED.drawLine(135, 127, 127 - 140 * cos(a), 127 - 140 * sin(a)  ); // стрелка
  }
  dis_3();
  ///////////////////
  myOLED.clrScr(); // очищаем дисплей

  for (float i = 0; i < PI; i = i + PI / 17) {
    myOLED.drawLine(-8 - 127 * cos(i), 127 - 127 * sin(i), -8 - 115 * cos(i), 127 - 115 * sin(i)  ); // риски-метки шкалы
  }
  myOLED.print("MAX", 107, 45);
  if (a > PI / 2) {
    myOLED.drawLine(-8, 127, 0 - 140 * cos(a), 127 - 140 * sin(a)  ); //стрелка
  }
  dis_2();

  delay(t);
}
////////////////////////////
////////////////////////////
///////////////////////////
void dis_1() { //функции обновления изображений на экранах
  digitalWrite(disp_1, HIGH); myOLED.update(); digitalWrite(disp_1, LOW);
}
void dis_2() {
  digitalWrite(disp_2, HIGH); myOLED.update(); digitalWrite(disp_2, LOW);
}
void dis_3() {
  digitalWrite(disp_3, HIGH); myOLED.update(); digitalWrite(disp_3, LOW);
}
/////////////////////////


