
/////////////проверка одновременной работы 3 экранов на 3 разных индикаторах-шкалах
#include <OLED_I2C.h>
OLED  myOLED(SDA, SCL);
#define disp_1 12 // управляющие дисплееями выводы 
#define disp_2 11
#define disp_3 10

extern uint8_t SmallFont[];
int t = 25; // пауза между считываниями потенциометра
int p=0;//


void setup()
{
  ////// подключение всех дисплеев
  pinMode(disp_1, OUTPUT);
  digitalWrite(disp_1, HIGH);
  myOLED.begin();
  digitalWrite(disp_1, LOW);
  delay(50);
  //////
  pinMode(disp_2, OUTPUT);
  digitalWrite(disp_2, HIGH);
  myOLED.begin();
  digitalWrite(disp_2, LOW);
  delay(50);
  ////////
  pinMode(disp_3, OUTPUT);
  digitalWrite(disp_3, HIGH);
  myOLED.begin();
  digitalWrite(disp_3, LOW);
  delay(50);
  ////////
  myOLED.setFont(SmallFont);
  myOLED.invert(0);//инверсия цвета
 

}

void loop()
{
  
   p = map(analogRead(A0), 0, 1023, 0, 100); // считывание потенциометра и вычисление параметра
  

myOLED.clrScr(); // очищаем дисплей   
pribor_A("A",30,32,8,PI/2);//прибор А
pribor_A("B",98,32,12,0);// прибор В
dis_3(); //обработка и обновление данных на 3 индикаторе
myOLED.clrScr(); // очищаем дисплей  
pribor_A("C",30,32,24,PI/6);// прибор С
pribor_A("E",98,32,4,PI);// прибор Е
dis_2(); //обработка и обновление данных на 2 индикаторе

  delay(t);
}
////////////////////////////
////////////////////////////
///////////////////////////
void dis_1() { //функции обновления изображений на экранах
  digitalWrite(disp_1, HIGH); myOLED.update(); digitalWrite(disp_1, LOW);
}
void dis_2() {
  digitalWrite(disp_2, HIGH); myOLED.update(); digitalWrite(disp_2, LOW);
}
void dis_3() {
  digitalWrite(disp_3, HIGH); myOLED.update(); digitalWrite(disp_3, LOW);
}
/////////////////////////
/////////////////////////
///////////////////////// функция рисования стрелки ////////////////////////////////
void primitiv_1(int x,int y,int r1,int r2,int n,float rotor) { //x,y координаты центра фигуры r1,r2 радиусы зубцов и впадин фигуры n число зубцов rotor угол поворота фигуры
  for(float i=0+rotor;i<1*PI+rotor;i=i+2*PI/n){
  myOLED.drawLine(x+r1*cos(i) , y+r1*sin(i),x+r2*cos(i+PI/n) , y+r2*sin(i+PI/n) ); 
  myOLED.drawLine(x+r2*cos(i+PI/n) , y+r2*sin(i+PI/n),x+r1*cos(i+2*PI/n) , y+r1*sin(i+2*PI/n));
 }
 }
 ///////////////////////// функция рисования прибора-шкалы //////////////////////////
void pribor_A (String str, int x1,int y1,int n1,float rotor1){//str название шкалы x1,y1 координаты положения центра n1 число делений rotor1 начальный угол положения стрелки
for(int i=22;i<29;i++){primitiv_1(x1,y1,7,i,2,(PI/50)*p+rotor1);}//стрелка
for(int i=6;i<9;i++){myOLED.drawCircle(x1,y1,i);}

myOLED.drawCircle(x1,y1,31);//шкала
for(float i=0;i<2*PI;i=i+2*PI/n1){myOLED.drawLine(x1-25*cos(i),y1-25*sin(i),x1-31*cos(i),y1-31*sin(i));}
myOLED.print(str,x1-20,y1-5);// название шкалы
  }
