
///////////// шкала "баннер на ветру"
#include <OLED_I2C.h>
OLED  myOLED(SDA, SCL);

extern uint8_t RusFont[];
int t = 50; // пауза между считываниями потенциометра
int tabl_[10];//массив хранения данных с потенциометра

void setup()
{
  myOLED.begin();
  myOLED.invert(0);//инверсия цвета
  myOLED.setFont(RusFont);

}

void loop()
{
  int h = map(analogRead(A0), 0, 1023, 0, 53); //считывание данных с потенциометра и запись в массив данных на последнюю позицию

  for (int i = 0; i < 10; i++) {
    if (i != 9) {
      tabl_[i] = tabl_[i + 1];
    } else {
      tabl_[i] = h;
    }
  }
  myOLED.clrScr(); // очищаем дисплей

  for (int i = 0; i < 10; i++) {//прорисовка кадра
    //  myOLED.print("Y",i * 13 + 5,tabl_[i]);
    if (i == 0) {
      myOLED.print(" ", i * 13 + 5, tabl_[i]); // надпись
    }
    if (i == 1) {
      myOLED.print("C", i * 13 + 5, tabl_[i]);
    }
    if (i == 2) {
      myOLED.print("G", i * 13 + 5, tabl_[i]);
    }
    if (i == 3) {
      myOLED.print("F", i * 13 + 5, tabl_[i]);
    }
    if (i == 4) {
      myOLED.print("H", i * 13 + 5, tabl_[i]);
    }
    if (i == 5) {
      myOLED.print("N", i * 13 + 5, tabl_[i]);
    }
    if (i == 6) {
      myOLED.print("F", i * 13 + 5, tabl_[i]);
    }
    if (i == 7) {
      myOLED.print("R", i * 13 + 5, tabl_[i]);
    }
    if (i == 8) {
      myOLED.print(" ", i * 13 + 5, tabl_[i]);
    }
    if (i == 9) {
      myOLED.print(" ", i * 13 + 5, tabl_[i]);
    }

    if (i < 9) {
      myOLED.drawLine((i + 1) * 13 + 5, tabl_[i + 1] + 15 , i * 13 + 5, tabl_[i] + 15); // цепочка отрезков между соседними вершинами - линия снизу
    }
    if (i < 9) {
      myOLED.drawLine((i + 1 ) * 13 + 5, tabl_[i + 1] - 15 , i * 13 + 5, tabl_[i] - 15); // цепочка отрезков между соседними вершинами - линия сверху
    }
    if (i == 0 ) {
      myOLED.drawLine((i ) * 13 + 5, tabl_[i] - 15 , i * 13 + 10, tabl_[i] + 0); // линии с левого бока
      myOLED.drawLine((i ) * 13 + 10, tabl_[i] - 0 , i * 13 + 5, tabl_[i] + 15);
    }
     if ( i == 9) {
      myOLED.drawLine((i ) * 13 + 6, tabl_[i] - 15 , i * 13 + 1, tabl_[i] + 0); // линии с правого бока
      myOLED.drawLine((i ) * 13 + 1, tabl_[i] - 0 , i * 13 + 6, tabl_[i] + 15);
    }
  }
  myOLED.update(); delay(t);

}

