
/////////////////  индикатор "песочные часы"
#include <OLED_I2C.h>
OLED  myOLED(SDA, SCL);
extern const unsigned char schkala_A[];
extern const unsigned char schkala_B[];
int t=50;// пауза между считываниями потенциометра
bool fl_=true;//флаг для смены картинок

void setup()
{
 myOLED.begin();
 myOLED.invert(0);//инверсия цвета
}

void loop()
{
if(fl_==true){ myOLED.drawBitmap(0, 0,schkala_A, 128, 64);}// рисование 1 контура часов
else {myOLED.drawBitmap(0, 0,schkala_B, 128, 64);}// рисование 2 контура часов 
fl_=!fl_;//смена рисунка контура часов по флагу
 int h =map(analogRead(A0), 0,1023, 0, 31);//считывание данных с потенциометра и задание высоты h горки
 
 for(int i=0;i<h;i++){
if(i>18){myOLED.drawLine(59-i,51,59-i,14);}//рисование слоёв песка сверху
else{myOLED.drawLine(59-i,32+i,59-i,32-i);}// рисование горки песка
 }
//
for(int i=0;i<32-h;i++){
if(i<12){myOLED.drawLine(99-i,51,99-i,14);}//рисование слоёв песка снизу
else{myOLED.drawLine(99-i,63-i,99-i,1+i);}// рисование горки песка
 }
myOLED.update(); delay(t); 
}

