
///////////// шкала "скорость планет"
#include <OLED_I2C.h>
OLED  myOLED(SDA, SCL);

int t = 100; // пауза между считываниями потенциометра

int dlina_1 = 30;//радиус орбиты 1
float i1 = 0.00; // угол поворота планеты на орбите 1
int dlina_2 = 40;
float i2 = 0.00; //
int dlina_3 = 50;
float i3 = 0.00; //
int dlina_4 = 60;
float i4 = 0.00; //

void setup()
{
  myOLED.begin();
  myOLED.invert(0);//инверсия цвета

}

void loop()
{
  myOLED.clrScr(); // очищаем дисплей

  t = map(analogRead(A0), 0, 1023, 50, 250); //считывание данных с потенциометра

  //////// окружности - планеты
  i1 = i1 - PI / 16; if (i1 < -2 * PI) {
    i1 = 0; 
  }
  myOLED.drawCircle( 63 + cos(i1)*dlina_1, 63 + sin(i1)*dlina_1, 3); //
  i2 = i2 - PI / 12; if (i2 < -2 * PI) {
    i2 = 0;
  }
  myOLED.drawCircle( 63 + cos(i2)*dlina_2, 63 + sin(i2)*dlina_2, 4); //
  i3 = i3 - PI / 18; if (i3 < -2 * PI) {
    i3 = 0;
  }
  myOLED.drawCircle( 63 + cos(i3)*dlina_3, 63 + sin(i3)*dlina_3, 3); //
  i4 = i4 - PI / 14; if (i4 < -2 * PI) {
    i4 = 0;
  }
  myOLED.drawCircle( 63 + cos(i4)*dlina_4, 63 + sin(i4)*dlina_4, 5); //
  //////
  for (int i = 1; i < 13; i++) {
    myOLED.drawCircle(63, 63, i); //окружности - светило
  }
  for (int i = 30; i < 63; i = i + 10) {
    myOLED.drawCircle(63, 63, i); //окружности - орбиты
  }
  //////
  myOLED.update(); delay(t);
}


