
///////////////////стрелочный индикатор уровня сигнала
#include <OLED_I2C.h>
OLED  myOLED(SDA, SCL);

int t = 50; // пауза между считываниями потенциометра
void setup()
{
  myOLED.begin();
  myOLED.invert(0);//инверсия цвета
}

void loop()
{
  myOLED.clrScr(); // очищаем дисплей
  int x = map(analogRead(A0), 0, 1023, 5, 124); //считывание данных с потенциометра и задание координаты стрелки

  myOLED.drawRect(0, 0, 127, 63); //рамка
  myOLED.drawLine(x, 5, x, 58); // стрелка и её положение
  myOLED.drawRect(5, 22, 90, 42); //шкала прогресса
  myOLED.drawRect(95, 22, 124, 42);
  /////
  for (int j = 0; j < 20; j = j + 3) { // раскраска прямоугольника точками
    for (int i = 0; i < 30; i = i + 2) {
      myOLED.setPixel(95 + i, 22 + j);
    }
  }
  ///
  myOLED.update(); delay(t);
}

