
///////////// шкала "сетка календаря"
#include <OLED_I2C.h>
OLED  myOLED(SDA, SCL);

int t = 20; // пауза между считываниями потенциометра
extern uint8_t SmallFont[];

void setup()
{
  myOLED.begin();
  myOLED.invert(0);//инверсия цвета
  myOLED.setFont(SmallFont);
}

void loop()
{
  myOLED.clrScr(); // очищаем дисплей
  int h = map(analogRead(A0), 0, 1023, 0, 41); //считывание данных с потенциометра и перевод в номер ячейки из сетки 7*6
  /////////// был месяц май //////////////////
  myOLED.print("                1  2", 5, 0);
  myOLED.print(" 3  4  5  6  7  8  9", 5, 10);
  myOLED.print("10 11 12 13 14 15 16", 5, 20);
  myOLED.print("17 18 19 20 21 22 23", 5, 30);
  myOLED.print("24 25 26 27 28 29 30", 5, 40);
  myOLED.print("31                  ", 5, 50);
  ////////////////////////////////////////////
  myOLED.drawCircle(18 * (h % 7) + 11, 10 * (h / 7) + 3, 8); //определяем положение курсора-указателя исходя из текущего значения h
  myOLED.drawCircle(18 * (h % 7) + 11, 10 * (h / 7) + 3, 9);
  myOLED.update(); delay(t);
}

