
/////////////////// индикатор "кольцевая линейная шкала"
#include <OLED_I2C.h>
OLED  myOLED(SDA, SCL);
extern const unsigned char schkala_A[];
int t = 30; // пауза между считываниями потенциометра
void setup()
{
  myOLED.begin();
  myOLED.invert(1);//инверсия цвета
}

void loop()
{
  int x = map(analogRead(A0), 0, 1023, -1023, 0); //считывание данных с потенциометра и задание положения кадра шкалы
  myOLED.drawBitmap(x, 0, schkala_A, 1024, 64); // рисование кадра шкалы по координате x
  if (x <= -895) {
    myOLED.drawBitmap(x + 1024, 0, schkala_A, 1024, 64); //условие закольцовки шкалы
  }
  ///
  myOLED.clrRoundRect(51, -1, 81, 65); //  прямоугольник многослойный -указатель шкалы
  myOLED.clrRoundRect(50, -1, 80, 65);
  myOLED.clrRoundRect(49, -1, 79, 65);
  ///
  myOLED.update(); delay(t);
}

