
/////////////проверка одновременной работы 3 экранов на 3 разных индикаторах-шкалах
#include <OLED_I2C.h>
OLED  myOLED(SDA, SCL);
#define disp_1 12 // управляющие дисплееями выводы 
#define disp_2 11
#define disp_3 10

int t = 25; // пауза между считываниями потенциометра
extern uint8_t SmallFont[];


void setup()
{

  ////// подключение всех дисплеев
  pinMode(disp_1, OUTPUT);
  digitalWrite(disp_1, HIGH);
  myOLED.begin();
  digitalWrite(disp_1, LOW);
  delay(50);
  //////
  pinMode(disp_2, OUTPUT);
  digitalWrite(disp_2, HIGH);
  myOLED.begin();
  digitalWrite(disp_2, LOW);
  delay(50);
  ////////
  pinMode(disp_3, OUTPUT);
  digitalWrite(disp_3, HIGH);
  myOLED.begin();
  digitalWrite(disp_3, LOW);
  delay(50);
  ////////
  myOLED.setFont(SmallFont);
  myOLED.invert(0);//инверсия цвета


}

void loop()
{
  int p = map(analogRead(A0), 0, 1023, 0, 256); // считывание потенциометра и вычисление положения нити

  myOLED.clrScr(); // очищаем дисплей
  for (int i = 0; i < 128; i = i + 17) {
    myOLED.drawLine(i, 0, i, 15); // риски-метки шкалы
  }
  myOLED.print("A_city", 5, 25); myOLED.print("B_city", 35, 45); myOLED.print("C_city", 70, 25);// станции
  if (p < 128) {
    myOLED.drawLine(p, 0, p, 63);//указатель - нить
    myOLED.drawLine(p + 1, 0, p + 1, 63);
  }
  dis_3();
  myOLED.clrScr(); // очищаем дисплей
  for (int i = 0; i < 128; i = i + 17) {
    myOLED.drawLine(i, 0, i, 15); //риски-метки шкалы
  }
  myOLED.print("D_city", 5, 25); myOLED. print("E_city", 35, 45); myOLED.print("F_city", 70, 25); // станции

  if (p >= 128) {
    myOLED.drawLine(p - 128, 0, p - 128, 63);//указатель-нить
    myOLED.drawLine(p - 127, 0, p - 127, 63);
  }
  dis_2();
  delay(t);
}
////////////////////////////
////////////////////////////
///////////////////////////
void dis_1() { //функции обновления изображений на экранах
  digitalWrite(disp_1, HIGH); myOLED.update(); digitalWrite(disp_1, LOW);
}
void dis_2() {
  digitalWrite(disp_2, HIGH); myOLED.update(); digitalWrite(disp_2, LOW);
}
void dis_3() {
  digitalWrite(disp_3, HIGH); myOLED.update(); digitalWrite(disp_3, LOW);
}
/////////////////////////


