/////////////// 7 сегментный индикатор - "подвижные" сегменты
///////////////////
#include <OLED_I2C.h>
OLED  myOLED(SDA, SCL);
extern const unsigned char schkala_A[];//сегмент 1
extern const unsigned char schkala_B[];//сегмент 2
int t = 50; // пауза между считываниями потенциометра
int st_X = 0;

void setup()
{
  myOLED.begin();
  myOLED.invert(0);//инверсия цвета
}

void loop()
{
  int X = map(analogRead(A0), 0, 1000, 0, 9); //считывание данных с потенциометра и определение цифры
 
  if (X != st_X) {// если цифра поменялась - перерисуем её
    funk_1(st_X); funk_2(X);
    st_X = X;
  }
}
/////////////////////////////////////////////////////////
void funk_1(int x) { // убирает цифру старую
  for (int i = 0; i < 16; i=i+2) {
    myOLED.clrScr(); // очищаем дисплей
    if (x != 1 && x != 4) {
      myOLED.drawBitmap(8 - i, 12, schkala_B, 8, 40); // a
    }
    if (x != 5 && x != 6) myOLED.drawBitmap(18, 3 - i, schkala_A, 40, 8); // b
    if (x != 2) myOLED.drawBitmap(71, 3 - i, schkala_A, 40, 8); // c
    if (x != 1 && x != 4 && x != 7)myOLED.drawBitmap(114 + i, 12, schkala_B, 8, 40); // d
    if (x != 1 && x != 3 && x != 4 && x != 5 && x != 7 && x != 9) myOLED.drawBitmap(71, 55 + i, schkala_A, 40, 8); // e
    if (x != 1 && x != 2 && x != 3 && x != 7) myOLED.drawBitmap(18, 55 + i, schkala_A, 40, 8); // f
    if (i < 8 && x != 0 && x != 1 && x != 7) {
      myOLED.drawBitmap(62, 12, schkala_B, 8, 40); // g
    }
    myOLED.update(); delay(t);
  }
}
/////////////////////////
void funk_2(int x) {// выводит цифру новую
  for (int i = 15; i >= 0; i=i-2) {
    myOLED.clrScr(); // очищаем дисплей
    if (x != 1 && x != 4) {
      myOLED.drawBitmap(8 - i, 12, schkala_B, 8, 40); // a
    }
    if (x != 5 && x != 6) myOLED.drawBitmap(18, 3 - i, schkala_A, 40, 8); // b
    if (x != 2) myOLED.drawBitmap(71, 3 - i, schkala_A, 40, 8); // c
    if (x != 1 && x != 4 && x != 7)myOLED.drawBitmap(114 + i, 12, schkala_B, 8, 40); // d
    if (x != 1 && x != 3 && x != 4 && x != 5 && x != 7 && x != 9) myOLED.drawBitmap(71, 55 + i, schkala_A, 40, 8); // e
    if (x != 1 && x != 2 && x != 3 && x != 7) myOLED.drawBitmap(18, 55 + i, schkala_A, 40, 8); // f
    if (i < 8 && x != 0 && x != 1 && x != 7) {
      myOLED.drawBitmap(62, 12, schkala_B, 8, 40); // g
    }
    myOLED.update(); delay(t);
  }
}
