
///////////// шкала по мотивам круговой подвижной
#include <OLED_I2C.h>
OLED  myOLED(SDA, SCL);

int t=20;// пауза между считываниями потенциометра
float a=0.00;//
int dlina_1=95;
int dlina_2=85;
int dlina_3=65;

int N=12;// количество рисуемых на шкале чисел
extern uint8_t MediumNumbers[];
void setup()
{
 myOLED.begin();
 myOLED.invert(0);//инверсия цвета
 myOLED.setFont( MediumNumbers); 
}

void loop()
{
myOLED.clrScr(); // очищаем дисплей 

a=PI*map(analogRead(A0), 0,1023, 0, 192)/96;//считывание данных с потенциометра
//////
for(float i=a+PI/24;i<=2*PI+a+PI/24;i=i+PI/18){// рисуем штрихи-риски по кругу
myOLED.drawLine( 63+cos(i)*dlina_3, 100+sin(i)*dlina_3, 63+cos(i)*dlina_1, 100+sin(i)*dlina_1);//
}
//////
int n=N+1;
for(float i=a-PI/2;i<=3*PI/2+a;i=i+2*PI/N){// рисуем числа по рискам-штрихам поверх
n=n-1;
if(n<N){myOLED.printNumI(n,63+cos(i)*dlina_2 ,100+sin(i)*dlina_2 );}
}
//////
myOLED.drawCircle(63, 25, 24); //окружность - прицел рисуем
myOLED.drawCircle(63, 25, 23);

myOLED.update(); delay(t); 
}

