
/////////////////// индикатор "ползунок прогресса"
#include <OLED_I2C.h>
OLED  myOLED(SDA, SCL);

int t = 50; // пауза между считываниями потенциометра
extern uint8_t SmallFont[];

void setup()
{
  myOLED.begin();
  myOLED.invert(0);//инверсия цвета
  myOLED.setFont(SmallFont);
}

void loop()
{
  myOLED.clrScr(); // очищаем дисплей
  int x = map(analogRead(A0), 0, 1023, 0, 99); //считывание данных с потенциометра и задание положения ползунка

  myOLED.drawRect(0, 30, 127, 36); //канал ползунка
  myOLED.drawRect(x + 2, 20, x + 25, 44); // тело ползунка
  myOLED.clrRect(x + 2, 30, x + 25, 36);
  myOLED.printNumI(x, x + 6 , 30 ); // числовое значение к положению ползунка

  myOLED.update(); delay(t);
}

