
///////////// шкала "график онлайн"
#include <OLED_I2C.h>
OLED  myOLED(SDA, SCL);

int t = 50; // пауза между считываниями потенциометра
int tabl_[10];//массив хранения данных с потенциометра

void setup()
{
  myOLED.begin();
  myOLED.invert(0);//инверсия цвета
 
}

void loop()
{
  int h = map(analogRead(A0), 0, 1023, 0, 63); //считывание данных с потенциометра и запись в массив данных на последнюю позицию

  for (int i = 0; i < 10; i++) {
    if (i != 9) {
      tabl_[i] = tabl_[i + 1];
    } else {
      tabl_[i] = h;
    }
  }
  myOLED.clrScr(); // очищаем дисплей

  for (int i = 0; i < 10; i++) {//прорисовка кадра
    myOLED.drawLine(i * 13 + 5, 63, i * 13 + 5, tabl_[i]); //каскад отрезков вертикальных высотой h
   if(i<9){ myOLED.drawLine((i+1) * 13 + 5,tabl_[i+1] , i * 13 + 5, tabl_[i]);}// цепочка отрезков между соседними вершинами - линия графика 
  }
  myOLED.update(); delay(t);

}

