
///////////// шкала - трансформация треугольника в многоугольник
#include <OLED_I2C.h>
OLED  myOLED(SDA, SCL);

int t = 50; // пауза между считываниями потенциометра
int dlina_1 = 30;

extern uint8_t MediumNumbers[];
void setup()
{
  myOLED.begin();
  myOLED.invert(0);//инверсия цвета
  myOLED.setFont( MediumNumbers);
}

void loop()
{
  myOLED.clrScr(); // очищаем дисплей
  int n = map(analogRead(A0), 0, 1023, 3, 17); //считывание  потенциометра и определение числа вершин c 3 до 17

  for (float i = - PI / 2; i < 3 * PI/2; i = i + 2 * PI / n) { // рисуем многоугольник
    if (i < 3 * PI/2 - PI / n) {
      for (int j = 0; j < 30; j = j + 7) {
        myOLED.drawLine( 66 + cos(i) * (dlina_1 + j), 32 + sin(i) * (dlina_1 + j), 66 + cos(i + 2 * PI / n) * (dlina_1 + j), 32 + sin(i + 2 * PI / n) * (dlina_1 + j));
      }
    }
  }
  if (n < 10) {
    myOLED.printNumI(n, 59 , 22 );
  }
  else {
    myOLED.printNumI(n, 52 , 22 );
  }
  myOLED.update(); delay(t);
}

